Quassel IRC - Feature #506

make the topic bar scrollable using the mousewheel

01/28/2009 11:12 PM - Thargor

Status: Resolved Start date: 01/28/2009
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

0S: Any

Description

| think the subject says it all.

Would probably be a nice usability improvement over the current "click & drag" design

Maybe it could use those fancy sidewards scrolling mouse wheels which some people out there have,

but | would prefer normal scrolling, because in my opinion those should only be used, if normal scrolling is used otherwise. (e.g.
up/down)

Associated revisions

Revision ef20dd04ad6ed1911fa070c5dafe2498d9a4fc9d - 08/22/2009 12:13 AM - Manuel Nickschas
Redesign the topic widget

This replaces the old ugly hackish topicwidget by something cleaner. We now use a stacked widget to switch
between display and edit mode. In edit mode, we use a MultiLineEdit rather than a single QLineEdit.

Instead of doing voodooish resizing of the parent widget, we use proper sizeHints and sizePolicies that make
Qt's layout system actually work with this.

There are still some features missing though, notably clickable URLs and the clear button. Will
be implemented ASAP.

Closes #5086, fixes #573, closes #608.

Revision ef20dd04 - 08/22/2009 12:13 AM - Manuel Nickschas

Redesign the topic widget

This replaces the old ugly hackish topicwidget by something cleaner. We now use a stacked widget to switch
between display and edit mode. In edit mode, we use a MultiLineEdit rather than a single QLineEdit.

Instead of doing voodooish resizing of the parent widget, we use proper sizeHints and sizePolicies that make

Qt's layout system actually work with this.

There are still some features missing though, notably clickable URLs and the clear button. Will
be implemented ASAP.

Closes #5086, fixes #573, closes #608.

History

#1 - 07/14/2009 09:47 PM - lastik
- File wheel.patch added

Thargor wrote:
| think the subject says it all.
Would probably be a nice usability improvement over the current "click & drag" design

Maybe it could use those fancy sidewards scrolling mouse wheels which some people out there have,
but | would prefer normal scrolling, because in my opinion those should only be used, if normal scrolling is used otherwise. (e.g. up/down)

| wrote patch, with witch you can scroll topic with mousewheel.
It's beta version of patch, so if it will work it is wonderfull :)

#2 - 08/22/2009 12:11 AM - Sputnick

- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset ef20dd04ad6ed1911fa070c5dafe2498d9a4fc9d.

Files
wheel.patch

1.01 KB 07/14/2009 lastik
